Skip to content
Dashboard
Theme
Theme

Revoke the grants held by an organization's members

POST /v1/organizations/{org}/oauth_grants/revoke: Revoke the grants held by an organization's members.

View Markdown

POST /v1/organizations/{org}/oauth_grants/revoke

Scope
oauth:write
Auth
Secret key (sk_…)
Since
1.0
  • org string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • third_party_only boolean

    default false

Errors share one shape; see the error code catalogue.

curl -X POST \
"https://api.ohauthcat.com/v1/organizations/org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/oauth_grants/revoke" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"third_party_only": false
}'
Response 200
{
"object": "oauth_grant_revocation",
"revoked": 1
}